ServerEvents.recipes((event) => {
  const greg = event.recipes.gtceu;
  event.remove({ output: "projectexpansion:basic_emc_link" });
  event.remove({ output: "projectexpansion:dark_emc_link" });
  event.remove({ output: "projectexpansion:red_emc_link" });
  event.remove({ output: "projectexpansion:magenta_emc_link" });
  event.remove({ output: "projectexpansion:pink_emc_link" });
  event.remove({ output: "projectexpansion:magenta_emc_link" });
  event.remove({ output: "projectexpansion:purple_emc_link" });
  // Emc links
  greg
    .assembler("projectexpansion:basic_emc_link")
    .itemInputs("projecte:condenser_mk1")
    .itemInputs("projecte:transmutation_tablet")
    .itemInputs("8x projecte:low_covalence_dust")
    .itemInputs("8x projecte:medium_covalence_dust")
    .itemInputs("8x projecte:high_covalence_dust")
    .itemOutputs("projectexpansion:basic_emc_link")
    .duration(200)
    .EUt(32);
	
  greg
    .assembler("projectexpansion:dark_emc_link")
    .itemInputs("projectexpansion:basic_emc_link")
    .itemInputs("projecte:condenser_mk1")
    .itemInputs("2x projecte:dark_matter")
    .itemInputs("8x projecte:low_covalence_dust")
    .itemInputs("8x projecte:medium_covalence_dust")
    .itemInputs("8x projecte:high_covalence_dust")
    .itemOutputs("projectexpansion:dark_emc_link")
    .duration(200)
    .EUt(128);
	
  greg
    .assembler("projectexpansion:red_emc_link")
    .itemInputs("projectexpansion:dark_emc_link")
    .itemInputs("projecte:condenser_mk1")
    .itemInputs("2x projecte:red_matter")
    .itemInputs("8x projecte:low_covalence_dust")
    .itemInputs("8x projecte:medium_covalence_dust")
    .itemInputs("8x projecte:high_covalence_dust")
    .itemOutputs("projectexpansion:red_emc_link")
    .duration(200)
    .EUt(512);
	
  greg
    .assembler("projectexpansion:magenta_emc_link")
    .itemInputs("projectexpansion:red_emc_link")
    .itemInputs("projecte:condenser_mk1")
    .itemInputs("2x projectexpansion:magenta_matter")
    .itemInputs("8x projecte:low_covalence_dust")
    .itemInputs("8x projecte:medium_covalence_dust")
    .itemInputs("8x projecte:high_covalence_dust")
    .itemOutputs("projectexpansion:magenta_emc_link")
    .duration(200)
    .EUt(2048);
	
  greg
    .assembler("projectexpansion:pink_emc_link")
    .itemInputs("projectexpansion:magenta_emc_link")
    .itemInputs("projecte:condenser_mk1")
    .itemInputs("2x projectexpansion:pink_matter")
    .itemInputs("8x projecte:low_covalence_dust")
    .itemInputs("8x projecte:medium_covalence_dust")
    .itemInputs("8x projecte:high_covalence_dust")
    .itemOutputs("projectexpansion:pink_emc_link")
    .duration(200)
    .EUt(8192);
	
  greg
    .assembler("projectexpansion:purple_emc_link")
    .itemInputs("projectexpansion:pink_emc_link")
    .itemInputs("projecte:condenser_mk1")
    .itemInputs("2x projectexpansion:purple_matter")
    .itemInputs("8x projecte:low_covalence_dust")
    .itemInputs("8x projecte:medium_covalence_dust")
    .itemInputs("8x projecte:high_covalence_dust")
    .itemOutputs("projectexpansion:purple_emc_link")
    .duration(200)
    .EUt(32768);
});